Loading...
Searching...
No Matches
irr::scene::ISkinnedMesh::SWeight Struct Reference

A vertex weight. More...

`#include <ISkinnedMesh.h>`

## Public Attributes

u16 | buffer_id
| Index of the mesh buffer.
f32 | strength
| Weight Strength/Percentage (0-1).
u32 | vertex_id
| Index of the vertex.

## Friends

class | CSkinnedMesh
| Internal members used by CSkinnedMesh.

## Detailed Description

A vertex weight.

Definition at line 83 of file ISkinnedMesh.h.

## Friends And Related Symbol Documentation

## CSkinnedMesh

friend class CSkinnedMesh

friend

Internal members used by CSkinnedMesh.

Definition at line 96 of file ISkinnedMesh.h.

References CSkinnedMesh.

Referenced by CSkinnedMesh.

## Member Data Documentation

## buffer_id

u16 irr::scene::ISkinnedMesh::SWeight::buffer_id

Index of the mesh buffer.

Definition at line 86 of file ISkinnedMesh.h.

## strength

f32 irr::scene::ISkinnedMesh::SWeight::strength

Weight Strength/Percentage (0-1).

Definition at line 92 of file ISkinnedMesh.h.

## vertex_id

u32 irr::scene::ISkinnedMesh::SWeight::vertex_id

Index of the vertex.

Definition at line 89 of file ISkinnedMesh.h.

The documentation for this struct was generated from the following file:

- ISkinnedMesh.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0